#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x92,0xA5,0x41,0xC6,0xD7,0x4D,0x3A,0x3B,0x1E,0x89,0x5D,0xB8,
		0x0B,0x1C,0x9E,0xCF,0x6D,0xCF,0xF6,0xE0,0x8D,0x73,0x52,0xF9,
		0x34,0xD4,0x16,0x6E,0x78,0x4A,0x8E,0xEA,0x9E,0x38,0xB0,0x26,
		0xC0,0x87,0x68,0x35,0x89,0x92,0x4A,0x53,0x95,0x95,0xF0,0xDC,
		0x66,0x0C,0x22,0x4E,0xF6,0xB0,0x3F,0x47,0xF8,0x5B,0xDD,0x43,
		0xBF,0x4E,0x74,0xEB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
